commit 3ad0cb9e5a298c79f3d5464a38b2aa87ea3e229f
Author: jklowden <jklowden>
Date:   Fri Oct 23 19:21:37 2009 +0000

    exit after -L output

diff --git a/ChangeLog b/ChangeLog
index 1ec8e0b..5bbfe15 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,11 @@
+Fri Oct 23 15:12:16 EDT 2009	JK Lowden <jklowden@freetds.org>
+	* src/apps/tsql.c exit after -L output
+	* src/dblib/dblib.c
+	* src/dblib/dbopen.c
+	- dbdatecrack follows MSDBLIB, not WIN32
+	* src/tds/config.c 
+	- do not parse freetds.conf [servername] for instance/port. 
+
 Fri Oct 16 09:58:46 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/dblib/dblib.c: Fix dbwritetext with text == NULL
 
@@ -1874,4 +1882,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2879 2009/10/16 07:59:39 freddy77 Exp $
+$Id: ChangeLog,v 1.2880 2009/10/23 19:21:37 jklowden Exp $
diff --git a/src/apps/tsql.c b/src/apps/tsql.c
index 7777542..c751969 100644
--- a/src/apps/tsql.c
+++ b/src/apps/tsql.c
@@ -85,7 +85,7 @@
 #include "tdsconvert.h"
 #include "replacements.h"
 
-TDS_RCSID(var, "$Id: tsql.c,v 1.128 2009/05/28 16:23:31 freddy77 Exp $");
+TDS_RCSID(var, "$Id: tsql.c,v 1.129 2009/10/23 19:21:38 jklowden Exp $");
 
 #define TDS_ISSPACE(c) isspace((unsigned char) (c))
 
@@ -512,6 +512,7 @@ populate_login(TDSLOGIN * login, int argc, char **argv)
 		tds_lookup_host(hostname, ip);
 		tds7_get_instance_ports(stderr, ip);
 		tdsdump_close();
+		exit(0);
 	}
 
 	/* validate parameters */

